import { VNode } from "vue";
type ApiRenderTemplateType = Record<string, (value: any, prop: Record<string, any>, data?: any) => string | VNode>;
export declare const apiRenderTemplate: ApiRenderTemplateType;
type DefineApiRenderTemplateType<T> = {
    /**
     * 统一模板关键字映射
     */
    keys: {
        [key in keyof T]: string;
    };
};
/**
 * 定义统一模板
 * @param id 分包 ID
 * @param templates 模板项
 */
export declare function defineApiRenderTemplates<D extends string, T extends ApiRenderTemplateType>(id: D, templates: T): DefineApiRenderTemplateType<T>;
/**
 * 定义统一模板
 * @param templates 模板项
 */
export declare function defineApiRenderTemplates<T extends ApiRenderTemplateType>(templates: T): DefineApiRenderTemplateType<T>;
export {};
